Name:           gnochm
Version:        0.9.11
Release:        5%{?dist}
Summary:        CHM file viewer

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://gnochm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gnochm/gnochm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext 
# internal intltool is used, so BR the perl module
BuildRequires:  perl(XML::Parser)
# BuildRequires: intltool
Requires:       python-chm >= 0.8.4
Requires:       gnome-python2-gconf pygtk2-libglade 
Requires:       gnome-python2-gtkhtml2 gnome-python2-canvas
Requires:       yelp

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
BuildRequires:  scrollkeeper
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
BuildRequires: desktop-file-utils

%description
A CHM file viewer for Gnome. Features are:
  
  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links 
  * Internationalisation
  * Displays HTML page source


%prep
%setup -q
#iconv -f ISO8859-1 -t UTF8 < data/gnochm.1.it > gnochm.1.it.new && mv -f gnochm.1.it.new data/gnochm.1.it

%build
%configure --disable-mime-update
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --delete-original                                       \
        --remove-category=Application                           \
        $RPM_BUILD_ROOT%{_datadir}/applications/gnochm.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/
cp -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnochm.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
cp -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/chmfile.png $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/application-x-chm.png
ln -s application-x-chm.png $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-chm.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

update-mime-database %{_datadir}/mime &> /dev/null || :

update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
scrollkeeper-update -q || :

update-mime-database %{_datadir}/mime &> /dev/null || :

update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/gnochm
%{_datadir}/gnochm/
%{_datadir}/gnome/help/gnochm/
%{_datadir}/application-registry/gnochm.*
%{_datadir}/applications/fedora-gnochm.desktop
%{_datadir}/mime/packages/gnochm.xml
#%{_mandir}/man*/gnochm.1*
#%{_mandir}/*/man*/gnochm.1*
%{_datadir}/mime-info/gnochm.*
%{_datadir}/omf/gnochm/
%{_datadir}/pixmaps/gnochm*.png
%{_datadir}/pixmaps/chmfile.png
%{_datadir}/icons/hicolor/
%{_datadir}/icons/gnome/

%changelog
* Wed Mar 31 2010 Haikel Guémar <karlthered@gmail.com> - 0.9.11-5
- Rebuilt for F-13

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Apr 11 2008 Patrice Dumas <pertusus@free.fr> 0.9.11-2
- Requires: gnome-python2-canvas (#442027)

* Fri Dec 28 2007 Patrice Dumas <pertusus@free.fr> 0.9.11-1
- update to 0.9.11

* Fri Jun  8 2007 Patrice Dumas <pertusus@free.fr> 0.9.10-1
- update to 0.9.10
- add yelp Requires (fix #243387)

* Sat Dec  9 2006 Patrice Dumas <pertusus@free.fr> 0.9.9-2
- update to 0.9.9

* Wed Sep 27 2006 Patrice Dumas <pertusus@free.fr> 0.9.8-6
- keep required icon files in pixmaps, (fix #208230)

* Mon Sep 25 2006 Patrice Dumas <pertusus@free.fr> 0.9.8-5
- put the icon for chm file type in the gnome icon theme

* Sun Sep 24 2006 Patrice Dumas <pertusus@free.fr> 0.9.8-4
- put icon file in %%{_datadir}/icons/hicolor/
- remove Requires() desktop-file-utils according to the new guidelines

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 0.9.8-3
- BuildRequires perl(XML::Parser) required by the internal intltool

* Sun Jun  4 2006 Patrice Dumas <pertusus@free.fr> 0.9.8-1
- update to 0.9.8

* Sat Apr 15 2006 Patrice Dumas <pertusus@free.fr> 0.9.7-5
- add gnome related requires (189034)

* Thu Apr 13 2006 Patrice Dumas <pertusus@free.fr> 0.9.7-4
- Add mimetype to .desktop file (188809)

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 0.9.7-2
- Fedora Extras submission, loosely based on Dag.
